Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
fastdelegate Namespace Reference

## Namespaces
| detail

## Classes
class | DelegateMemento
class | FastDelegate
class | FastDelegate0
class | FastDelegate1
class | FastDelegate2
class | FastDelegate3
class | FastDelegate4
class | FastDelegate5
class | FastDelegate6
class | FastDelegate7
class | FastDelegate8
class | FastDelegate< R(Param1) >
class | FastDelegate< R(Param1, Param2) >
class | FastDelegate< R(Param1, Param2, Param3) >
class | FastDelegate< R(Param1, Param2, Param3, Param4) >
class | FastDelegate< R(Param1, Param2, Param3, Param4, Param5) >
class | FastDelegate< R(Param1, Param2, Param3, Param4, Param5, Param6) >
class | FastDelegate< R(Param1, Param2, Param3, Param4, Param5, Param6, Param7) >
class | FastDelegate< R(Param1, Param2, Param3, Param4, Param5, Param6, Param7, Param8) >

## Functions
template<class X , class Y , class RetType >
FastDelegate0< FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)())
template<class X , class Y , class Param1 , class RetType >
FastDelegate1< Param1, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1))
template<class X , class Y , class Param1 , class Param2 , class RetType >
FastDelegate2< Param1, Param2, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class RetType >
FastDelegate3< Param1, Param2, Param3, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class Param4 , class RetType >
FastDelegate4< Param1, Param2, Param3, Param4, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3, Param4 p4))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class Param4 , class Param5 , class RetType >
FastDelegate5< Param1, Param2, Param3, Param4, Param5, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class Param4 , class Param5 , class Param6 , class RetType >
FastDelegate6< Param1, Param2, Param3, Param4, Param5, Param6, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class Param4 , class Param5 , class Param6 , class Param7 , class RetType >
FastDelegate7< Param1, Param2, Param3, Param4, Param5, Param6, Param7, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6, Param7 p7))
template<class X , class Y , class Param1 , class Param2 , class Param3 , class Param4 , class Param5 , class Param6 , class Param7 , class Param8 , class RetType >
FastDelegate8< Param1, Param2, Param3, Param4, Param5, Param6, Param7, Param8, FASTDLGT_RETTYPE > | MakeDelegate (Y *x, RetType(X::*func)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6, Param7 p7, Param8 p8))

## Function Documentation

FastDelegate0< FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)() | func
| ) |  |

FastDelegate1< Param1, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1) | func
| ) |  |

FastDelegate2< Param1, Param2, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2) | func
| ) |  |

FastDelegate3< Param1, Param2, Param3, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3) | func
| ) |  |

FastDelegate4< Param1, Param2, Param3, Param4, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4) | func
| ) |  |

FastDelegate5< Param1, Param2, Param3, Param4, Param5, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) | func
| ) |  |

FastDelegate6< Param1, Param2, Param3, Param4, Param5, Param6, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6) | func
| ) |  |

FastDelegate7< Param1, Param2, Param3, Param4, Param5, Param6, Param7, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6, Param7 p7) | func
| ) |  |

FastDelegate8< Param1, Param2, Param3, Param4, Param5, Param6, Param7, Param8, FASTDLGT_RETTYPE > MakeDelegate | ( | Y * | x,
|  | RetType(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5, Param6 p6, Param7 p7, Param8 p8) | func
| ) |  |